cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Harikrishna Patnala (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CLOUDSTACK-7305) Hypervisor type parameter is mandatory when deploying VM using ISO
Date Tue, 12 Aug 2014 12:33:13 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-7305?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Harikrishna Patnala resolved CLOUDSTACK-7305.
---------------------------------------------

    Resolution: Fixed

> Hypervisor type parameter is mandatory when deploying VM using ISO
> ------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-7305
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-7305
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Management Server
>    Affects Versions: 4.4.0, 4.5.0
>            Reporter: Harikrishna Patnala
>            Assignee: Harikrishna Patnala
>             Fix For: 4.5.0
>
>
> We need to make the parameter "hypervisor" mandate when vm deployed using ISO.
> Steps to reproduce:
> 1) Delpoy a VM from ISO using deployVmAPI without "hypervisor" paramter
> 2) deployVmAPI fails 
> 3) Try to destroy VM (expunge) the VM, it fails with NPE and the VM stays in "Expunging"
state.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message